##timer

scoreboard players add .battle_starting_timer general 1


##loading

execute if score .battle_starting_timer general matches 180 run tag @a[tag=starting] add loading
execute if score .battle_starting_timer general matches 180 run tp @a[tag=starting] -13 2 13 90 0
execute if score .battle_starting_timer general matches 183..210 run tp @a[tag=starting] -13 2 13 90 0

execute if score .battle_starting_timer general matches 230 run title @a[tag=starting] times 0 20 20
execute if score .battle_starting_timer general matches 230 run title @a[tag=starting] title {"text":"\uE002"}
execute if score .battle_starting_timer general matches 230 run title @a[tag=starting] actionbar {"text":" "}


##map cinematic

execute if score .battle_starting_timer general matches 250..529 run effect clear @a[tag=starting] night_vision
execute if score .battle_starting_timer general matches 250..529 run gamemode spectator @a[tag=starting] 

execute if score .battle_starting_timer general matches 235 run effect give @a[tag=starting] blindness 1 10 true
execute if score .battle_starting_timer general matches 235 run effect give @a[tag=starting] levitation 1 255 true


##time of the day

execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 1 run time set 6000
execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 2 run time set 12500
execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 3 run time set 500
execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 4 run time set 20000
execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 5 run time set 11000
execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 6 run time set 4000
execute if score .battle_starting_timer general matches 240 if score .battle_map general matches 7 run time set 6000


##start the battle music


execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 1 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music3
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 2 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music4
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 3 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music5
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 4 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music6
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 5 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music7
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 6 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music4
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 7 run execute as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/music5

execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 2 as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/wind
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 3 as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/birds
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 4 as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/crickets
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 5 as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/wind
execute if score .battle_starting_timer general matches 249 if score .battle_map general matches 6 as @a[tag=starting] at @s run function tmls:functions/sound-engine/start/wind



##sidebar

execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 1 run function tmls:functions/matchmaking/sidebars/score
execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 2 run function tmls:functions/matchmaking/sidebars/teamscore
execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 3 run function tmls:functions/matchmaking/sidebars/score
execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 4 run function tmls:functions/matchmaking/sidebars/teamscore
execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 5 run function tmls:functions/matchmaking/sidebars/infection
execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 6 run function tmls:functions/matchmaking/sidebars/teamscore2
execute if score .battle_starting_timer general matches 249 if score .battle_mode general matches 7 run function tmls:functions/matchmaking/sidebars/training


##mode explanation

execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 1 run tellraw @a[tag=starting] ["",{"text":"Free For All","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Eliminate as many geese as\nyou can. Remember: there\nare no teams!","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]
execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 2 run tellraw @a[tag=starting] ["",{"text":"Team Battle","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Two teams, let's see which\none will reach the most\neliminations first!","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]
execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 3 run tellraw @a[tag=starting] ["",{"text":"Gun Game","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Each elimination a new weapon,\nlet's see who reaches 16\neliminations first","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]
execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 4 run tellraw @a[tag=starting] ["",{"text":"Capture The Flag","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Capture the enemy flag and\nbring it back to base!\nRemember: you can restore your\nflag by grabbing it!","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]
execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 5 run tellraw @a[tag=starting] ["",{"text":"Infection","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Infected are everywhere,\nkeep them away or they\nwill infect you too!","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]
execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 6 run tellraw @a[tag=starting] ["",{"text":"Protect the Statue","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Protect your statue and destroy your enemies' one!","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]
execute if score .battle_starting_timer general matches 260 if score .battle_mode general matches 7 run tellraw @a[tag=starting] ["",{"text":"Training","bold":true,"color":"gold"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"},{"text":"\n"},{"text":"Test your goose skills against \nGoose Bots!","color":"gray"},{"text":"\n"},{"text":"-----------------------","color":"dark_gray"}]


##cutscene

##map1

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 1 run tp @a[tag=starting] 500 73 522 165 32
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 1 run tp @a[tag=starting] 500 73 522 165 32
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 1 run tp @a[tag=starting] 515 56 502 -99 12
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 1 run tp @a[tag=starting] 500 78 515 180 60

##map2

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 2 run tp @a[tag=starting] -449 71 -445 140 14
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 2 run tp @a[tag=starting] -449 71 -445 140 14
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 2 run tp @a[tag=starting] -536 60 -554 -37 3
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 2 run tp @a[tag=starting] -517 88 -492 -90 61

##map3

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 3 run tp @a[tag=starting] 424 67 -528 -65 13
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 3 run tp @a[tag=starting] 424 67 -528 -65 13
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 3 run tp @a[tag=starting] 545 68 -427 135 17
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 3 run tp @a[tag=starting] 549 94 -500 90 41

##map4

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 4 run tp @a[tag=starting] -453 105 469 50 24
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 4 run tp @a[tag=starting] -453 105 469 50 24
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 4 run tp @a[tag=starting] -516 84 518 -150 17
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 4 run tp @a[tag=starting] -523 97 500 -90 36

##map5

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 5 run tp @a[tag=starting] 550 71 -70 42 15
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 5 run tp @a[tag=starting] 550 71 -70 42 15
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 5 run tp @a[tag=starting] 442 57 34 -118 -12
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 5 run tp @a[tag=starting] 487 85 32 -149 49

##map6

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 6 run tp @a[tag=starting] -534 62 -31 -48 15
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 6 run tp @a[tag=starting] -534 62 -31 -48 15
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 6 run tp @a[tag=starting] -498 62 6 123 33
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 6 run tp @a[tag=starting] -472 69 -14 66 22

##map7

execute if score .battle_starting_timer general matches 235 if score .battle_map general matches 7 run tp @a[tag=starting] -21 51 506 -113 -28
execute if score .battle_starting_timer general matches 255..410 if score .battle_map general matches 7 run tp @a[tag=starting] -21 51 506 -113 -28
execute if score .battle_starting_timer general matches 412..470 if score .battle_map general matches 7 run tp @a[tag=starting] 70 59 491 50 25
execute if score .battle_starting_timer general matches 472..523 if score .battle_map general matches 7 run tp @a[tag=starting] -21 67 508 -111 33


##spawn all the items

execute if score .battle_starting_timer general matches 250 run function tmls:functions/matchmaking/spawnitems/detect


##transition

execute if score .battle_starting_timer general matches 510 run title @a[tag=starting] times 20 20 20
execute if score .battle_starting_timer general matches 510 run title @a[tag=starting] title {"text":"\uE002"}


##add the ingame tag

execute if score .battle_starting_timer general matches 555 run tag @a[tag=starting] add ingame
execute if score .battle_starting_timer general matches 555 run gamemode adventure @a[tag=starting]


##tp to the spawnpoints


execute if score .battle_starting_timer general matches 555 run execute as @a[tag=starting] at @s run kill @e[type=item,tag=weapon]

execute if score .battle_starting_timer general matches 555 run function tmls:functions/matchmaking/tp_to_spawnpoints

execute if score .battle_starting_timer general matches 557.. as @a[tag=starting] at @s run tp @s @e[distance=..1,tag=spawnpoint,limit=1,sort=nearest]
#execute if score .battle_starting_timer general matches 555.. as @e[tag=spawnpoint] at @s run tp @a[distance=..1,tag=starting,limit=1,sort=nearest] ~ ~ ~


##countdown

execute if score .battle_starting_timer general matches 600 run title @a[tag=starting] times 0 20 0

execute if score .battle_starting_timer general matches 600..720 run title @a[tag=starting] title {"text":" "}


##say which team you're in

execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 2 run title @a[tag=starting,scores={team=1}] subtitle [{"text":"Red","color":"red"},{"text":" Team","color":"gray"}]
execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 2 run title @a[tag=starting,scores={team=2}] subtitle [{"text":"Blue","color":"blue"},{"text":" Team","color":"gray"}]

execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 4 run title @a[tag=starting,scores={team=1}] subtitle [{"text":"Red","color":"red"},{"text":" Team","color":"gray"}]
execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 4 run title @a[tag=starting,scores={team=2}] subtitle [{"text":"Blue","color":"blue"},{"text":" Team","color":"gray"}]

execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 5 run title @a[tag=starting,scores={team=1}] subtitle [{"text":"Survivors","color":"red"},{"text":" Team","color":"gray"}]
execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 5 run title @a[tag=starting,scores={team=13}] subtitle [{"text":"Infected","color":"green"},{"text":" Team","color":"gray"}]

execute if score .battle_starting_timer general matches 600 if score .battle_mode general matches 2 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 0.75 1


##countdown

execute if score .battle_starting_timer general matches 620 run title @a[tag=starting] subtitle {"text":"5","color":"yellow"}
execute if score .battle_starting_timer general matches 620 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 0.75 1

execute if score .battle_starting_timer general matches 640 run title @a[tag=starting] subtitle {"text":"4","color":"yellow"}
execute if score .battle_starting_timer general matches 640 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 1 1

execute if score .battle_starting_timer general matches 660 run title @a[tag=starting] subtitle {"text":"3","color":"yellow"}
execute if score .battle_starting_timer general matches 660 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 1.25 1

execute if score .battle_starting_timer general matches 680 run title @a[tag=starting] subtitle {"text":"2","color":"yellow"}
execute if score .battle_starting_timer general matches 680 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 1.5 1

execute if score .battle_starting_timer general matches 700 run title @a[tag=starting] subtitle {"text":"1","color":"yellow"}
execute if score .battle_starting_timer general matches 700 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 1.75 1

execute if score .battle_starting_timer general matches 720 run title @a[tag=starting] subtitle {"text":"Fight!","color":"gold"}
execute if score .battle_starting_timer general matches 720 run playsound minecraft:block.note_block.bit master @a[tag=starting] ~ ~ ~ 1 2 1


##start

execute if score .battle_starting_timer general matches 720 run function tmls:functions/matchmaking/start

