##players

    ##effects

    function tmls:functions/player/general/effects

    execute as @e[tag=onfire,tag=ingame] at @s run function tmls:functions/player/general/onfire

    execute as @e[tag=stunned,tag=ingame] at @s run function tmls:functions/player/general/stunned

    execute as @e[tag=rottened,tag=ingame] at @s run function tmls:functions/player/general/rottened

    execute as @e[tag=ingame,scores={frizing=1..}] at @s run function tmls:functions/player/general/frizing


    ##quit event

    execute as @a[scores={quit=1..}] at @s run function tmls:functions/player/general/quit



    ##equipments

    execute as @a[tag=ingame,tag=canshoot] at @s run function tmls:functions/player/grappling_hook/main



    ##charater

    execute as @a at @s run function tmls:functions/player/character/main



    ##spectators

    execute as @a[tag=spectator,tag=!spectator-ingame] at @s run function tmls:functions/lobby/spectate/main



    ##weapons

    execute as @a[tag=ingame,tag=canshoot,tag=!driving,tag=!hasegg] at @s run function tmls:functions/player/weapons/main



    ##abilities

    execute as @a[tag=ingame] at @s run function tmls:functions/player/abilities/hanging/main
  
    execute as @a[tag=ingame] at @s run function tmls:functions/player/abilities/wallrunning/main
    
    execute as @a[tag=ingame] at @s run function tmls:functions/player/abilities/gliding/main



    ##anger

    execute as @a[tag=ingame,tag=!undead] at @s run function tmls:functions/player/abilities/anger/main
  


    ##die

    execute as @e[tag=ingame,scores={Health=-100000..0},tag=!explosive] at @s run function tmls:functions/player/general/die



    ##respawn

    execute as @a[tag=spectator-ingame] at @s run function tmls:functions/player/general/respawn/main


    ##hitted

    execute as @e[tag=hitted] at @s run function tmls:functions/player/general/hitted
    execute as @a[tag=ingame,scores={damagetaken=1..}] at @s run function tmls:functions/player/general/damagetaken
    
    
    
    ##fall damage

    execute as @a[scores={falldamage=1..},tag=ingame] at @s run function tmls:functions/player/general/falldamage



    ##ui

    execute as @a[tag=ingame,tag=!loading,tag=!inlobby] at @s run function tmls:functions/player/ui/maintext



    ##codex

    execute as @a at @s run function tmls:functions/codex/main



##projectile

    ##eggs

    execute as @e[tag=projectile,tag=egg] at @s run function tmls:functions/projectile/egg/main

    ##waves

    execute as @e[tag=projectile,tag=wave] at @s run function tmls:functions/projectile/wave/main

    ##flames

    execute as @e[tag=projectile,tag=flames] at @s run function tmls:functions/projectile/flames/main
    
    ##skewer

    execute as @e[tag=projectile,tag=skewer] at @s run function tmls:functions/projectile/skewer/main



##items

    ##detect if the item get hitted by a player

    execute as @e[tag=item,nbt={HurtTime:10s},tag=pickble] at @s if entity @a[tag=ingame,distance=..7] run function tmls:functions/items/general/detect

    execute as @a[tag=ingame,tag=!spectator,tag=canshoot] at @s if entity @e[distance=..1,tag=canpickcup] run function tmls:functions/items/general/weapons

    execute as @e[tag=items,tag=goose] at @s run function tmls:functions/items/general/death_animation

    execute as @e[tag=item,tag=barricade] at @s run function tmls:functions/items/barricade/main



    ##spawners

    execute as @e[tag=spawner] at @s run function tmls:functions/items/spawners/main



    ##items that can be held

    execute as @e[tag=item,tag=hookble] at @s run function tmls:functions/items/hookbles/main



##mobility stuff

    ##jump pads (directional too)

    function tmls:functions/mobility/boosts/main



##vehicles

    execute as @e[tag=vehicle,tag=base] at @s run function tmls:functions/vehicles/physics/detect



##bots

    execute as @e[tag=bot,tag=!stopped] at @s run function tmls:functions/bots/ai/main
    execute if score .bot-respawn-timer bot.respawn matches 1.. run function tmls:functions/bots/respawn/timer



##medals

    execute as @a at @s run function tmls:functions/medals/main/check



##lobby

    function tmls:functions/lobby/time

    function tmls:functions/lobby/textdelay

    execute as @a[tag=incafe] at @s run function tmls:functions/lobby/cafe/main



##loading

    execute as @a[tag=loading] at @s run function tmls:functions/lobby/loading



##offhand

    execute as @a at @s run function tmls:functions/player/character/offhand



##sound engine

    function tmls:functions/sound-engine/general/main



##kill items

    kill @e[type=item,tag=!items]

    kill @e[type=slime,tag=!item]



##markers particles

    execute as @e[type=marker] at @s run particle crit ~ ~0.25 ~ 0 0 0 0.1 1 force @a[gamemode=creative]



##xp

    execute as @a if score @s xp >= @s xp_max as @s run function tmls:functions/player/general/levelup

##collectibles

    execute as @a[tag=ingame] at @s if block ~ ~ ~ minecraft:dead_tube_coral_fan run function tmls:functions/player/general/collectibles


##reset scores

scoreboard players set @a[scores={falldamage=1..}] falldamage 0
scoreboard players set @a damagedealth 0
scoreboard players set @a sneak 0
scoreboard players set @a drop 0
scoreboard players set @a click 0
scoreboard players set @a jump 0