##announce your death

execute as @s[type=player] at @s run function tmls:functions/player/general/death/announce

execute as @s[tag=bot] at @s run function tmls:functions/player/general/death/announce

##increase the kill score of the player that killed you

execute as @s[type=player] at @s run function tmls:functions/player/general/death/addscore

execute as @s[tag=bot] at @s run function tmls:functions/player/general/death/addscore

##particles

execute as @s[type=player] at @s run particle minecraft:firework ~ ~1 ~ 0 0 0 0.2 100 force
execute as @s[type=player] at @s run particle minecraft:firework ~ ~1 ~ 0 0 0 0.1 50 force

execute as @s[tag=bot] at @s run particle minecraft:firework ~ ~1 ~ 0 0 0 0.2 100 force

##animation

execute as @s[type=player] at @s run function tmls:functions/player/general/death/animation

execute as @s[tag=bot] at @s run function tmls:functions/player/general/death/animation

##drop the selected item/flag

execute as @s[tag=holding-item] at @s run function tmls:functions/items/hookbles/trow

execute as @s[tag=hasegg,scores={team=1}] at @s run function tmls:functions/items/spawn/props/captureeggs/blue
execute as @s[tag=hasegg,scores={team=2}] at @s run function tmls:functions/items/spawn/props/captureeggs/red

##remove tags

tag @s remove ingame
tag @s remove holding-item
tag @s remove hasegg

##clear ui

title @s actionbar {"text":" "}

##add new tags

tag @s add spectator
tag @s add spectator-ingame

##set gamemode to spectator

gamemode spectator @s

##reset scores

execute if entity @s[tag=bot] run function tmls:functions/bots/ai/clear

kill @s[scores={Health=-100000..0},type=!player,tag=!vehicle]



execute as @s[tag=vehicle,tag=base,scores={Health=-1000000..0}] at @s run function tmls:functions/vehicles/general/explode

scoreboard players set @s Health 100

scoreboard players set @s killstreak 0

scoreboard players set @s W16-loading 0

##if the mode is ctf or pts your respawn timer is set to -90

execute unless score .battle_mode general matches 1..3 unless score .battle_mode general matches 5 unless score .battle_mode general matches 7.. run scoreboard players set @s respawn-timer -90

##drop weapon

execute unless score .battle_mode general matches 3 run function tmls:functions/items/spawn/weapons/ondeath

##drop selected item

function tmls:functions/items/hookbles/trow

##reset all the effects

scoreboard players set @s[tag=stunned] stunnedTimer 50
scoreboard players set @s[tag=onfire] onfireTimer 30
scoreboard players set @s[tag=rottened] rottenedTimer 50

##stop the anger mode

function tmls:functions/player/abilities/anger/stop_anger
